Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.jasperreports.engine.fill
Class JRDistinctCountExtendedIncrementerFactory

    java.lang.Object
      net.sf.jasperreports.engine.fill.JRAbstractExtendedIncrementerFactory
          net.sf.jasperreports.engine.fill.JRDistinctCountExtendedIncrementerFactory

All Implemented Interfaces:
  JRExtendedIncrementerFactory, JRIncrementerFactory

    public class JRDistinctCountExtendedIncrementerFactory

extends JRAbstractExtendedIncrementerFactory

Version:
  $Id: JRDistinctCountExtendedIncrementerFactory.java 3673 2010-04-01 13:14:19Z shertage $
Author:
  Teodor Danciu (teodord@users.sourceforge.net)

Constructor Summary
`JRDistinctCountExtendedIncrementerFactory()`

Method Summary
`JRExtendedIncrementer` | `getExtendedIncrementer(byte calculation)`
`static JRExtendedIncrementerFactory` | `getFactory(java.lang.Class valueClass)`
`static JRDistinctCountExtendedIncrementerFactory` | `getInstance()`

Methods inherited from class net.sf.jasperreports.engine.fill.JRAbstractExtendedIncrementerFactory
`getIncrementer`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRDistinctCountExtendedIncrementerFactory

    public JRDistinctCountExtendedIncrementerFactory()

Method Detail

### getInstance

    public static JRDistinctCountExtendedIncrementerFactory getInstance()

### getExtendedIncrementer

    public JRExtendedIncrementer getExtendedIncrementer(byte calculation)

### getFactory

    public static JRExtendedIncrementerFactory getFactory(java.lang.Class valueClass)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com